# Generated from consul-templaterb-1.32.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name consul-templaterb

Name: rubygem-%{gem_name}
Version: 1.32.1
Release: 1%{?dist}
Summary: Implementation of Consul template using Ruby and .erb templating language
License: Apache-2.0
URL: https://rubygems.org/gems/consul-templaterb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4.1
# BuildRequires: rubygem(rspec_junit_formatter) < 0.5
# BuildRequires: rubygem(rubocop) >= 0.80.0
# BuildRequires: rubygem(rubocop) < 0.81
# BuildRequires: rubygem(rubocop-junit-formatter) = 0.1.4
# BuildRequires: rubygem(webmock) >= 2.1
# BuildRequires: rubygem(webmock) < 3
BuildArch: noarch

%description
A ruby implementation of Consul Template with support of erb templating with
hi-performance on large clusters and advanced process management features.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/consul-templaterb
%{gem_instdir}/TemplateAPI.md
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/samples
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.32.1-1
- Initial package
